package in.ocsf.report.app.spec;/* kpmy 12.03.2017 */

import in.ocsf.report.app.object.Address;
import org.springframework.data.jpa.domain.Specification;

import java.util.Date;

public class AddressSpecifications {

    public static Specification<Address> isActual() {
        return (root, q, cb) -> cb.greaterThan(root.get("dateKd"), new Date());
    }

    public static Specification<Address> hasParent(String parent) {
        return (root, criteriaQuery, criteriaBuilder) -> criteriaBuilder.equal(root.get("parentGuid"), parent);
    }
}
