package in.ocsf.report.app.object;/* kpmy 12.03.2017 */

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(schema = "FIAS", name = "ADDROBJ")
public class Address {

    @Id
    @Column(name = "AOID")
    private String id;

    @Column(name = "AOGUID", columnDefinition = "CHAR(36)")
    private String guid;

    @Column(name = "PARENTGUID", columnDefinition = "CHAR(36)")
    private String parentGuid;

    @Column(name = "FORMALNAME")
    private String name;

    @Column(name = "SHORTNAME")
    private String abbr;

    @Column(name = "REGIONCODE")
    private String region;

    @Column(name = "ENDDATE")
    @Temporal(TemporalType.DATE)
    private Date dateKd;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getParentGuid() {
        return parentGuid;
    }

    public void setParentGuid(String parentGuid) {
        this.parentGuid = parentGuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAbbr() {
        return abbr;
    }

    public void setAbbr(String abbr) {
        this.abbr = abbr;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public Date getDateKd() {
        return dateKd;
    }

    public void setDateKd(Date dateKd) {
        this.dateKd = dateKd;
    }
}
