package in.ocsf.report.app.repo;/* kpmy 12.03.2017 */

import in.ocsf.report.app.object.Address;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface AddressRepository extends PagingAndSortingRepository<Address, String>, AddressRepositoryCustom, JpaSpecificationExecutor<Address>, QueryDslPredicateExecutor<Address> {

    List<Address> findByDateKdGreaterThanAndParentGuidIsNull(Date dateKd);

}
