package in.ocsf.report.app.repo;/* kpmy 12.03.2017 */

import in.ocsf.report.app.object.Address;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;

import java.util.Date;
import java.util.List;

public class AddressRepositoryImpl implements AddressRepositoryCustom {

    @Autowired
    @Lazy
    private AddressRepository addrRepo;

    @Override
    public List<Address> findActualTop() {
        return addrRepo.findByDateKdGreaterThanAndParentGuidIsNull(new Date());
    }
}
